# kniznice
library("urca")
library("vars")
library("tseries")
library("forecast")

# zadanie parametrov a vygenerovanie casoveho radu 
3 casovy rad - model 
# T - je pocet prvkov v casovom rade
T=1000
# intercept deterministickeho trendu priamky - a
# smernica deterministickeho trendu - b
a=0.25
b=0.5
model=arima.sim(n = T,list(order = c(1,1,0),ar=0.01),sd = sqrt(0.5))
cas=ts(seq(from=a,by=b, length.out=T))
modelt=model+cas

#graficke vystupy a testy
par(mfrow=c(1,2))
plot(model)
plot(modelt)
abline(a,b)
par(mfrow=c(1,2))
acf(model)
pacf(model)
par(mfrow=c(1,2))
acf(modelt)
pacf(modelt)

# ur.df(y, type = c("none", "drift", "trend"), lags = 1,selectlags = c("Fixed", "AIC", "BIC"))
summary(ur.df(modelt,type="trend",selectlags="AIC"))

#teraz uz s diferenciam
dmodelt=diff(modelt)
par(mfrow=c(1,2))
plot(modelt)
plot(dmodelt)
par(mfrow=c(2,2))
acf(modelt)
acf(dmodelt)
pacf(modelt)
pacf(dmodelt)
# ur.df(y, type = c("none", "drift", "trend"), lags = 1,selectlags = c("Fixed", "AIC", "BIC"))
summary(ur.df(dmodelt,type="drift",selectlags="AIC"))

# ukazat prediferencovanost
ddmodelt=diff(dmodelt)
par(mfrow=c(2,2))
acf(ddmodelt)
pacf(ddmodelt)

#package forecast
# prikaz auro.arima
# 
#prikaz arima
#
auto.arima(model)
arima(model,c(1,1,0))
